Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Sig_Set Class Reference

Provide a C++ wrapper for the C sigset_t interface. More...

`#include <Signal.h>`

List of all members.

## Public Methods
| ACE_Sig_Set (sigset_t *sigset)
| Initialize <sigset_> with <sigset>. If <sigset> == 0 then fill the set.
| ACE_Sig_Set (ACE_Sig_Set *sigset)
| Initialize <sigset_> with <sigset>. If <sigset> == 0 then fill the set.
| ACE_Sig_Set (int fill = 0)
| If <fill> == 0 then initialize the <sigset_> to be empty, else full.
| ~ACE_Sig_Set (void)
int | empty_set (void)
| Create a set that excludes all signals defined by the system.
int | fill_set (void)
| Create a set that includes all signals defined by the system.
int | sig_add (int signo)
| Adds the individual signal specified by <signo> to the set.
int | sig_del (int signo)
| Deletes the individual signal specified by <signo> from the set.
int | is_member (int signo) const
| Checks whether the signal specified by <signo> is in the set.
| operator sigset_t * ()
| Returns a pointer to the underlying <sigset_t>.
sigset_t | sigset (void) const
| Returns a copy of the underlying <sigset_t>.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
sigset_t | sigset_
| Set of signals.

## Detailed Description

Provide a C++ wrapper for the C sigset_t interface.

Handle signals via a more elegant C++ interface (e.g., doesn't require the use of global variables or global functions in an application).

## Constructor & Destructor Documentation

ACE_INLINE ACE_Sig_Set::ACE_Sig_Set ( | sigset_t * ss )

| Initialize <sigset_> with <sigset>. If <sigset> == 0 then fill the set.

ACE_INLINE ACE_Sig_Set::ACE_Sig_Set ( | ACE_Sig_Set * ss )

| Initialize <sigset_> with <sigset>. If <sigset> == 0 then fill the set.

ACE_INLINE ACE_Sig_Set::ACE_Sig_Set ( | int fill = 0 )

| If <fill> == 0 then initialize the <sigset_> to be empty, else full.

ACE_INLINE ACE_Sig_Set::~ACE_Sig_Set ( | void )

## Member Function Documentation

void ACE_Sig_Set::dump ( | void ) const

| Dump the state of an object.

ACE_INLINE int ACE_Sig_Set::empty_set ( | void )

| Create a set that excludes all signals defined by the system.

ACE_INLINE int ACE_Sig_Set::fill_set ( | void )

| Create a set that includes all signals defined by the system.

ACE_INLINE int ACE_Sig_Set::is_member ( | int signo ) const

| Checks whether the signal specified by <signo> is in the set.

ACE_INLINE ACE_Sig_Set::operator sigset_t * ( | void )

| Returns a pointer to the underlying <sigset_t>.

ACE_INLINE int ACE_Sig_Set::sig_add ( | int signo )

| Adds the individual signal specified by <signo> to the set.

ACE_INLINE int ACE_Sig_Set::sig_del ( | int signo )

| Deletes the individual signal specified by <signo> from the set.

ACE_INLINE sigset_t ACE_Sig_Set::sigset ( | void ) const

| Returns a copy of the underlying <sigset_t>.

## Member Data Documentation

ACE_Sig_Set::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

sigset_t ACE_Sig_Set::sigset_`[private]`

| Set of signals.

The documentation for this class was generated from the following files:

- Signal.h
- Signal.i